Bug 246410 - www/squid: pinger doesn't start after r533790 change
Summary: www/squid: pinger doesn't start after r533790 change
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-05-12 00:35 UTC by Kan Sasaki
Modified: 2020-05-18 09:09 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (timp87)


Attachments
patch for pkg-plist (500 bytes, patch)
2020-05-12 00:35 UTC, Kan Sasaki
no flags Details | Diff
port patch (931 bytes, patch)
2020-05-12 08:37 UTC, timp87
timp87: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kan Sasaki 2020-05-12 00:35:56 UTC
Created attachment 214399 [details]
patch for pkg-plist

Pinger doesn't start with the following message:

2020/05/08 16:30:01| pinger: Initialising ICMP pinger ...
2020/05/08 16:30:01| Open  icmp_sock: (1) Operation not permitted
2020/05/08 16:30:01| pinger: Unable to start ICMP pinger.

This is because pinger is installed as a non-setuid root binary.
Comment 1 Kan Sasaki 2020-05-12 00:37:43 UTC
Comment on attachment 214399 [details]
patch for pkg-plist

>Index: pkg-plist
>===================================================================
>--- pkg-plist	(revision 534916)
>+++ pkg-plist	(working copy)
>@@ -46,10 +46,10 @@
> %%UNLINKD%%libexec/squid/unlinkd
> %%SSL%%man/man8/security_file_certgen.8.gz
> %%SSL%%libexec/squid/security_file_certgen
>+%%ICMP%%@mode 4510
>+%%ICMP%%@group squid
> %%ICMP%%libexec/squid/pinger
>-%%ICMP%%@mode 4510
> %%ICMP%%@mode
>-%%ICMP%%@group squid
> %%ICMP%%@group
> %%FS_DISKD%%libexec/squid/diskd
> %%ETCDIR%%/squid.conf.documented
Comment 2 timp87 2020-05-12 08:30:28 UTC
(In reply to Kan Sasaki from comment #1)
Oh, sorry, that's my fault.
I'm gonna make it a bit different and simple to avoid such issues if the future.
Comment 3 timp87 2020-05-12 08:37:25 UTC
Created attachment 214407 [details]
port patch
Comment 4 Automation User 2020-05-12 09:44:11 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/145075259
Comment 5 Kurt Jaeger freebsd_committer 2020-05-18 07:58:19 UTC
@work
Comment 6 Kurt Jaeger freebsd_committer 2020-05-18 09:09:22 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2020-05-18 09:09:53 UTC
A commit references this bug:

Author: pi
Date: Mon May 18 09:09:07 UTC 2020
New revision: 535732
URL: https://svnweb.freebsd.org/changeset/ports/535732

Log:
  www/squid: add patch to fix kerberos_ldap_group helper, fix pinger

  - add patch to fix kerberos_ldap_group helper work with heimdal
  - regenerate two patches to follow upstreamed versions
  - fix pinger permissions

  PR:		245861, 246410
  Submitted by:	Pavel Timofeev <timp87@gmail.com> (maintainer)

Changes:
  head/www/squid/files/patch-src-cf.data.pre
  head/www/squid/files/patch-src_acl_external_eDirectory__userip_ext__edirectory__userip__acl.cc
  head/www/squid/files/patch-src_acl_external_kerberos__ldap__group_support__krb5.cc
  head/www/squid/pkg-plist